## go-gir-generator 2.0.2

=== Makefile ===
PREFIX = /usr
GOBUILD = go build
GOTEST = go build
GORUN = go run
OUT_GIR_DIR = out/src/pkg.deepin.io/gir/

all: build

CURRENT_DIR = $(shell pwd)
export GOPATH = $(CURDIR):$(CURDIR)/vendor:$(CURDIR)/out

GENERATOR = out/gir-generator

build: glib-2.0 gobject-2.0 gio-2.0 gudev-1.0 copyfile 

generator:
	mkdir -p $(OUT_GIR_DIR)
	cd src/gir-generator && ${GOBUILD}  -o $(CURRENT_DIR)/${GENERATOR}

copyfile:
	cp -r  lib.in/gobject-2.0   $(OUT_GIR_DIR)
	cp -r  lib.in/gio-2.0       $(OUT_GIR_DIR)
	cp -r  lib.in/glib-2.0      $(OUT_GIR_DIR)
	cp -r  lib.in/gudev-1.0     $(OUT_GIR_DIR)

glib-2.0: lib.in/glib-2.0/glib.go.in lib.in/glib-2.0/config.json generator
	${GENERATOR} -o  $(OUT_GIR_DIR)$@ $<

gobject-2.0: lib.in/gobject-2.0/gobject.go.in lib.in/gobject-2.0/config.json generator
	${GENERATOR} -o $(OUT_GIR_DIR)$@ $<

gio-2.0:  lib.in/gio-2.0/gio.go.in lib.in/gio-2.0/config.json generator
	${GENERATOR} -o $(OUT_GIR_DIR)$@ $<

gudev-1.0: lib.in/gudev-1.0/gudev.go.in lib.in/gudev-1.0/config.json generator
	${GENERATOR} -o $(OUT_GIR_DIR)$@ $<

test:
	cd $(OUT_GIR_DIR)gobject-2.0 && ${GOTEST}
	cd $(OUT_GIR_DIR)gio-2.0 && ${GOTEST}
	cd $(OUT_GIR_DIR)glib-2.0 && ${GOTEST}
	cd $(OUT_GIR_DIR)gudev-1.0 && ${GOTEST}
	@echo "Memory Testing"
	${GORUN} test/memory.go

install:
	install -d  $(DESTDIR)$(PREFIX)/share/gocode/src/pkg.deepin.io/gir $(DESTDIR)$(PREFIX)/bin
	cp -r  $(OUT_GIR_DIR)*   $(DESTDIR)$(PREFIX)/share/gocode/src/pkg.deepin.io/gir
	cp     out/gir-generator $(DESTDIR)$(PREFIX)/bin/

clean:
	rm -fr out

.PHONY: test

=== debian/changelog ===
go-gir-generator (2.0.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jun 2020 10:25:21 -0400

go-gir-generator (2.0.2-1~exp1) experimental; urgency=medium

  * Initial release as 2.0.2.
  * debian/patches:
    + Fix for glib-2.63+ compatibility issue.
    + Use golang-check.v1-dev from debian archive instead of from
      vendor directory.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Fri, 22 May 2020 17:59:16 +0545

=== debian/control ===
Source: go-gir-generator
Section: devel
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-go,
 libgirepository1.0-dev,
 libgtk-3-dev,
 libgudev-1.0-dev,
 golang-check.v1-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/linuxdeepin/go-gir-generator
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/go-gir-generator
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/go-gir-generator

Package: golang-gir-gobject-2.0-dev
Architecture: all
Section: devel
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglib2.0-dev,
Conflicts: golang-gir-gobject-2.0
Breaks: golang-gir-gobject-2.0 (<< 0.9.3)
Provides: golang-gir-gobject-2.0
Description: Go bindings
 Go bindings for DDE (Deepin Desktop Environment) development.
 .
 gobject-2.0 go bindings.
 
Package: golang-gir-gio-2.0-dev
Architecture: all
Section: devel
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglib2.0-dev,
Conflicts: golang-gir-gio-2.0
Provides: golang-gir-gio-2.0
Breaks: golang-gir-gio-2.0 (<< 0.9.3)
Description: Go bindings
 Go bindings for Deepin Desktop Environment development.
 .
 gio-2.0 go bindings.

Package: golang-gir-glib-2.0-dev
Architecture: all
Section: devel
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglib2.0-dev,
Conflicts: golang-gir-glib-2.0
Provides: golang-gir-glib-2.0
Breaks: golang-gir-glib-2.0 (<< 0.9.3)
Description: Go bindings
 Go bindings for Deepin Desktop Environment development.
 .
 glib-2.0 go bindings.

Package: golang-gir-gudev-1.0-dev
Architecture: all
Section: devel
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgudev-1.0-dev,
Description: Go bindings
 Go bindings for DDE (Deepin Desktop Environment) development.
 .
 gudev-1.0 go bindings.
 
Package: golang-gir-generator
Architecture: any
Section: devel
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: generate library binding code which support gir for golang.
 This tool can generate library binding code which support gir for golang.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@
	
execute_before_dh_auto_install:
	find . -name ".gitignore" | xargs rm -rf

## go-gir-generator 2.0.4~git20211109.4b0a2df

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 GOTEST = go build
 GORUN = go run
 OUT_GIR_DIR = out/src/pkg.deepin.io/gir/
+export GO111MODULE=off
 
 all: build

=== debian/changelog ===
go-gir-generator (2.0.4~git20211109.4b0a2df-1ubuntu1) kinetic; urgency=medium

  * Disable dh_dwz to enable build with Go 1.19

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 24 Aug 2022 12:14:21 -0500

go-gir-generator (2.0.4~git20211109.4b0a2df-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Git.
  * Add missing ${misc:Built-Using} to Built-Using on golang-gir-generator.
  * Remove Section on golang-gir-gobject-2.0-dev, Section on
    golang-gir-gio-2.0-dev, Section on golang-gir-glib-2.0-dev, Section on
    golang-gir-gudev-1.0-dev, Section on golang-gir-generator that duplicate
    source.

  [ Boyuan Yang ]
  * New upstream snapshot 2.0.4~git20211109.4b0a2df.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/patches: refresh patches.
  * debian/rules: Apply GOCACHE path workaround as suggested upstream.

 -- Boyuan Yang <byang@debian.org>  Wed, 17 Nov 2021 14:01:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: go-gir-generator
 Section: devel
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,
@@ -14,14 +15,13 @@
  libgudev-1.0-dev,
  golang-check.v1-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/linuxdeepin/go-gir-generator
-Vcs-Git: https://salsa.debian.org/pkg-deepin-team/go-gir-generator
+Vcs-Git: https://salsa.debian.org/pkg-deepin-team/go-gir-generator.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/go-gir-generator
 
 Package: golang-gir-gobject-2.0-dev
 Architecture: all
-Section: devel
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -33,10 +33,9 @@
  Go bindings for DDE (Deepin Desktop Environment) development.
  .
  gobject-2.0 go bindings.
- 
+
 Package: golang-gir-gio-2.0-dev
 Architecture: all
-Section: devel
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -51,7 +50,6 @@
 
 Package: golang-gir-glib-2.0-dev
 Architecture: all
-Section: devel
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -66,7 +64,6 @@
 
 Package: golang-gir-gudev-1.0-dev
 Architecture: all
-Section: devel
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -75,12 +72,12 @@
  Go bindings for DDE (Deepin Desktop Environment) development.
  .
  gudev-1.0 go bindings.
- 
+
 Package: golang-gir-generator
 Architecture: any
-Section: devel
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+Built-Using: ${misc:Built-Using}
 Description: generate library binding code which support gir for golang.
  This tool can generate library binding code which support gir for golang.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# https://github.com/linuxdeepin/go-gir-generator/commit/911db08d2ed2817dff0692fdf80000ccc002c554
export GOCACHE := /tmp/gocache

%:
	dh $@
	
execute_before_dh_auto_install:
	find . -name ".gitignore" | xargs rm -rf

# skip dh_dwz to enable Go 1.19 build
override_dh_dwz:

## go-gir-generator 2.1.0

=== debian/changelog ===
go-gir-generator (2.1.0-1) unstable; urgency=medium

  * update

 --  Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 15:49:01 +0800

go-gir-generator (0.9.5-1) stable; urgency=low

  * Autobuild Tag 0.9.5 

 -- TagBuilder <tagbuilder@deepin.com>  Wed, 03 Aug 2016 08:54:04 +0000

go-gir-generator (0.9.4-1) stable; urgency=low

  * Autobuild Tag 0.9.4 

 -- TagBuilder <tagbuilder@deepin.com>  Sat, 09 Jul 2016 00:40:37 +0000

go-gir-generator (0.9.3-1) stable; urgency=low

  * Autobuild Tag 0.9.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 09:20:44 +0000

go-gir-generator (0.9.2-6) stable; urgency=low

  * Rebuild Version 0.9.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 15:54:09 +0000

go-gir-generator (0.9.2-5) stable; urgency=low

  * Rebuild Version 0.9.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 22 Feb 2016 09:20:37 +0000

go-gir-generator (0.9.2-4) stable; urgency=low

  * Rebuild Version 0.9.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 25 Jan 2016 17:16:12 +0000

go-gir-generator (0.9.2-3) stable; urgency=low

  * Rebuild Version 0.9.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 25 Jan 2016 16:36:37 +0000

go-gir-generator (0.9.2-2) stable; urgency=low

  * Rebuild Version 0.9.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 25 Jan 2016 16:21:09 +0000

go-gir-generator (0.9.2-1) stable; urgency=low

  * Autobuild Tag 0.9.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 21:00:07 +0000

go-gir-generator (0.9.1-1) stable; urgency=low

  * Autobuild Tag 0.9.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 18 Dec 2015 17:50:47 +0000

go-gir-generator (0.9.0-1) stable; urgency=low

  * Autobuild Tag 0.9.0 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 18 Dec 2015 16:53:49 +0000

go-gir-generator (0.0.1) unstable; urgency=low

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Mon, 30 Nov 2015 11:02:47 +0800

## go-gir-generator 2.2.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 GOBUILD = go build
 GOTEST = go build
 GORUN = go run
-OUT_GIR_DIR = out/src/pkg.deepin.io/gir/
+OUT_GIR_DIR = out/src/github.com/linuxdeepin/go-gir/
 export GO111MODULE=off
 
 all: build
@@ -12,7 +12,7 @@
 
 GENERATOR = out/gir-generator
 
-build: glib-2.0 gobject-2.0 gio-2.0 gudev-1.0 copyfile 
+build: glib-2.0 gobject-2.0 gio-2.0 gudev-1.0 copyfile
 
 generator:
 	mkdir -p $(OUT_GIR_DIR)
@@ -42,11 +42,11 @@
 	cd $(OUT_GIR_DIR)glib-2.0 && ${GOTEST}
 	cd $(OUT_GIR_DIR)gudev-1.0 && ${GOTEST}
 	@echo "Memory Testing"
-	${GORUN} test/memory.go
+	#${GORUN} test/memory.go  阻塞打包
 
 install:
-	install -d  $(DESTDIR)$(PREFIX)/share/gocode/src/pkg.deepin.io/gir $(DESTDIR)$(PREFIX)/bin
-	cp -r  $(OUT_GIR_DIR)*   $(DESTDIR)$(PREFIX)/share/gocode/src/pkg.deepin.io/gir
+	install -d  $(DESTDIR)$(PREFIX)/share/gocode/src/github.com/linuxdeepin/go-gir $(DESTDIR)$(PREFIX)/bin
+	cp -r  $(OUT_GIR_DIR)*   $(DESTDIR)$(PREFIX)/share/gocode/src/github.com/linuxdeepin/go-gir
 	cp     out/gir-generator $(DESTDIR)$(PREFIX)/bin/
 
 clean:

=== gogtk-demo/wscript ===
# -*- python -*-

def build(bld):
	for demoapp in bld.path.ant_glob('*.go', excl=['demos.go', 'main.go']):
		bld(
			features='go',
			source=demoapp,
			target=demoapp.name[:-3],
		)

	bld(
		features='go goprogram',
		source='main.go demos.go',
		target='gogtk-demo',
		install_path=None, # don't install
	)

=== debian/changelog ===
go-gir-generator (2.2.0-2) unstable; urgency=medium

  * Add patch to fix FTBFS with GCC-15. (Closes: #1096746)
  * debian/rules: Add GOFLAGS with -trimpath to remove build
    path references from binary.
  * debian/control:
    + Add XS-Go-Import-Path field for golang package.
    + Update source Section from devel to golang.
    + Replace Build-Depends libgirepository1.0-dev with
      libgirepository-1.0-dev. (Closes: #1118830)
    + Drop redundant Rules-Requires-Root field (defaults to "no").

 -- Arun Kumar Pariyar <arun@debian.org>  Fri, 05 Dec 2025 01:16:22 +0545

go-gir-generator (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/copyright: Refresh copyright info.
  * Update path in install files.
  * Add vendor directory to debian/clean.
  * debian/patches: Refresh patches. (Closes: #1026339)

 -- Arun Kumar Pariyar <arun@debian.org>  Mon, 26 Dec 2022 03:18:54 +0545

go-gir-generator (2.0.4~git20211109.4b0a2df-2) unstable; urgency=medium

  * debian/rules: disable dwz (Closes: #1017259).
  * debian/control:
    + Bump Standards-Version to 4.6.1.
    + Refresh package description.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Thu, 22 Sep 2022 16:06:06 +0545

=== debian/control ===
Source: go-gir-generator
Section: golang
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Arun Kumar Pariyar <arun@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-check.v1-dev,
 golang-go,
 libgirepository-1.0-dev,
 libgtk-3-dev,
 libgudev-1.0-dev,
Standards-Version: 4.6.2
XS-Go-Import-Path: github.com/linuxdeepin/go-gir
Homepage: https://github.com/linuxdeepin/go-gir-generator
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/go-gir-generator.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/go-gir-generator

Package: golang-gir-generator
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Generate library binding code which support gir for golang
 This tool can generate library binding code which support gir for golang.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: golang-gir-gio-2.0-dev
Architecture: all
Depends:
 libglib2.0-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 golang-gir-gio-2.0,
Provides:
 golang-gir-gio-2.0,
Breaks:
 golang-gir-gio-2.0 (<< 0.9.3),
Description: gio-2.0 go bindings (library)
 gio-2.0 Go bindings for Deepin Desktop Environment development.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: golang-gir-glib-2.0-dev
Architecture: all
Depends:
 libglib2.0-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 golang-gir-glib-2.0,
Provides:
 golang-gir-glib-2.0,
Breaks:
 golang-gir-glib-2.0 (<< 0.9.3),
Description: glib-2.0 go bindings (library)
 glib-2.0 Go bindings for Deepin Desktop Environment development.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: golang-gir-gobject-2.0-dev
Architecture: all
Depends:
 libglib2.0-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 golang-gir-gobject-2.0,
Breaks:
 golang-gir-gobject-2.0 (<< 0.9.3),
Provides:
 golang-gir-gobject-2.0,
Description: gobject-2.0 go bindings (library)
 gobject-2.0 Go bindings for DDE (Deepin Desktop Environment) development.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: golang-gir-gudev-1.0-dev
Architecture: all
Depends:
 libgudev-1.0-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: gudev-1.0 go bindings (library)
 Go bindings for DDE (Deepin Desktop Environment) development.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# https://github.com/linuxdeepin/go-gir-generator/commit/911db08d2ed2817dff0692fdf80000ccc002c554
export GOCACHE := /tmp/gocache
export GOFLAGS := -trimpath

%:
	dh $@

override_dh_dwz:

execute_before_dh_auto_install:
	find . -name ".gitignore" | xargs rm -rf

## go-gir-generator 3.0.0

=== debian/changelog ===
go-gir-generator (3.0.0-1~exp1) experimental; urgency=medium

  * debian/control: Use up-to-date homepage field.
  * debian/rules: Disable dh_dwz to prevent build failure.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 15:47:53 -0500

go-gir-generator (3.0.0-1~exp) experimental; urgency=medium

  * New upstream version 3.0.0.
  * Change install path from pkg.deepin.io to github.com/linuxdeepin for
    user who use go get to build
  * debian/control: add Clay Stan to uploaders
  * debian/*.install: update path

 -- Clay Stan <claystan97@gmail.com>  Fri, 17 Dec 2021 10:51:00 +0800

=== debian/control ===
Source: go-gir-generator
Section: devel
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
 Clay Stan <claystan97@gmail.com>, 
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-go,
 libgirepository1.0-dev,
 libgtk-3-dev,
 libgudev-1.0-dev,
 golang-check.v1-dev,
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/linuxdeepin/go-gir
Standards-Version: 4.6.0
Homepage: https://github.com/linuxdeepin/go-gir
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/go-gir-generator.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/go-gir-generator

Package: golang-gir-gobject-2.0-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglib2.0-dev,
Provides: golang-gir-gobject-2.0
Description: Go bindings
 Go bindings for DDE (Deepin Desktop Environment) development.
 .
 gobject-2.0 go bindings.

Package: golang-gir-gio-2.0-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglib2.0-dev,
Provides: golang-gir-gio-2.0
Description: Go bindings
 Go bindings for Deepin Desktop Environment development.
 .
 gio-2.0 go bindings.

Package: golang-gir-glib-2.0-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglib2.0-dev,
Provides: golang-gir-glib-2.0
Description: Go bindings
 Go bindings for Deepin Desktop Environment development.
 .
 glib-2.0 go bindings.

Package: golang-gir-gudev-1.0-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgudev-1.0-dev,
Description: Go bindings
 Go bindings for DDE (Deepin Desktop Environment) development.
 .
 gudev-1.0 go bindings.

Package: golang-gir-generator
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Description: generate library binding code which support gir for golang
 This tool can generate library binding code which support gir for golang.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# https://github.com/linuxdeepin/go-gir-generator/commit/911db08d2ed2817dff0692fdf80000ccc002c554
export GOCACHE := /tmp/gocache

%:
	dh $@
	
execute_before_dh_auto_install:
	find . -name ".gitignore" | xargs rm -rf

override_dh_dwz:
	# Do nothing with dh_dwz
	# Already compressed: dh_dwz: Found compressed .debug_aranges section, not attempting dwz compression

## go-gir-generator 3.0.3

=== Makefile ===
PREFIX = /usr
GOPATH_DIR = gopath
GOPKG_PREFIX = github.com/linuxdeepin/go-gir
export GO111MODULE=off

# FIXME: not working! export GOPATH= $(shell go env GOPATH)
export GOPATH = /usr/share/gocode

all: build

build: test

generate:
		go generate ./...

prepare:
		@mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX});
		@ln -snf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX};

test: clean prepare
		env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test ./... -coverpkg=${GOPATH_DIR}

install: clean
		@mkdir -p ${DESTDIR}${PREFIX}/share/gocode/src/github.com/linuxdeepin/go-gir/;
		`ls -1 | grep -v 'debian' | grep -v 'archlinux' | grep -v 'rpm' | xargs -I {} cp -r {} ${DESTDIR}${PREFIX}/share/gocode/src/github.com/linuxdeepin/go-gir/`

clean:
		rm -rf ${GOPATH_DIR}

.PHONY: test

=== debian/changelog ===
go-gir-generator (3.0.3) unstable; urgency=medium

  * fix: debian build failed
  * chore: support go generate and mod

 -- dengbo <dengbo@deepin.org>  Fri, 7 Apr 2023 13:51:15 +0800

go-gir-generator (3.0.2) unstable; urgency=medium

  * release go-gir-generator 3.0.2

 -- dengbo <dengbo@deepin.org>  Wed, 29 Mar 2023 16:21:08 +0800

go-gir-generator (3.0.1) unstable; urgency=medium

  * Autobuild Tag 3.0.1

 -- Tsic404 <liuheng@deepin.org>  Tue, 21 Mar 2023 15:03:44 +0800

go-gir-generator (0.9.6) stable; urgency=low

  * adapt license and copyright

 -- dengbo <dengbo@uniontech.com>  Wed, 14 Sep 2022 16:34:35 +0000

=== debian/control ===
Source: go-gir-generator
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               libgirepository1.0-dev,
               libgtk-3-dev,
               libgudev-1.0-dev,
               golang-check.v1-dev,
               golang-gopkg-check.v1-dev,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: golang-gir-gobject-2.0-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglib2.0-dev,
Conflicts: golang-gir-gobject-2.0
Breaks: golang-gir-gobject-2.0 (<< 0.9.3)
Provides: golang-gir-gobject-2.0
Description: Go bindings
 Go bindings for Deepin Desktop Environment development.
 .
 gobject-2.0 go bindings.

Package: golang-gir-gio-2.0-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglib2.0-dev,
Conflicts: golang-gir-gio-2.0
Provides: golang-gir-gio-2.0
Breaks: golang-gir-gio-2.0 (<< 0.9.3)
Description: Go bindings
 Go bindings for Deepin Desktop Environment development.
 .
 gio-2.0 go bindings.

Package: golang-gir-glib-2.0-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglib2.0-dev,
Conflicts: golang-gir-glib-2.0
Provides: golang-gir-glib-2.0
Breaks: golang-gir-glib-2.0 (<< 0.9.3)
Description: Go bindings
 Go bindings for Deepin Desktop Environment development
 .
 glib-2.0 go bindings.

Package: golang-gir-gudev-1.0-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgudev-1.0-dev,
Description: Go bindings
 Go bindings for Deepin Desktop Environment development
 .
 gudev-1.0  go bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export GOPATH := /usr/share/gocode
export GOCACHE=/tmp/gocache

%:
	dh $@  

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
